SoMFVec4ub(3)

NAME
SoMFVec4ub - The SoMFVec4ub class is a container for SbVec4ub vectors.

SYNOPSIS

#include <Inventor/fields/SoMFVec4ub.h>

Inherits SoMField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoMFVec4ub & operator= (const SoMFVec4ub &field)
virtual SbBool isSame (const SoField &field) const
SbVec4ub operator[] (const int idx) const
const SbVec4ub * getValues (const int start) const
int find (SbVec4ub value, SbBool addifnotfound=FALSE)
void setValues (const int start, const int num, const SbVec4ub *newvals)
void set1Value (const int idx, SbVec4ub value)
void setValue (SbVec4ub value)
SbVec4ub operator= (SbVec4ub val)
SbBool operator== (const SoMFVec4ub &field) const
SbBool operator!= (const SoMFVec4ub &field) const
SbVec4ub * startEditing (void)
void finishEditing (void)
void setValuesPointer (const int num, const SbVec4ub *userdata)
void setValuesPointer (const int num, SbVec4ub *userdata)
void setValuesPointer (const int num, const uint8_t *userdata)
void setValuesPointer (const int num, uint8_t *userdata)
void setValues (int start, int num, const uint8_t xyzw[][4])
void set1Value (int idx, uint8_t x, uint8_t y, uint8_t z, uint8_t w)
void set1Value (int idx, const uint8_t xyzw[4])
void setValue (uint8_t x, uint8_t y, uint8_t z, uint8_t w)
void setValue (const uint8_t xyzw[4])
Public Member Functions inherited from SoMField
virtual ~SoMField ()
int getNum (void) const
void setNum (const int num)
virtual void deleteValues (int start, int num=-1)
virtual void insertSpace (int start, int num)
SbBool set1 (const int index, const char *const valuestring)
void get1 (const int index, SbString &valuestring)
virtual void enableDeleteValues (void)
virtual SbBool isDeleteValuesEnabled (void) const
Public Member Functions inherited from SoField
virtual ~SoField ()
void setIgnored (SbBool ignore)
SbBool isIgnored (void) const
void setDefault (SbBool defaultVal)
SbBool isDefault (void) const
SbBool isOfType (const SoType type) const
void enableConnection (SbBool flag)
SbBool isConnectionEnabled (void) const
SbBool connectFrom (SoEngineOutput *master, SbBool notnotify=FALSE, SbBool append=FALSE)
SbBool appendConnection (SoEngineOutput *master, SbBool notnotify=FALSE)
void disconnect (SoEngineOutput *engineoutput)
SbBool isConnectedFromEngine (void) const
SbBool getConnectedEngine (SoEngineOutput *&master) const
SbBool connectFrom (SoField *master, SbBool notnotify=FALSE, SbBool append=FALSE)
SbBool appendConnection (SoField *master, SbBool notnotify=FALSE)
void disconnect (SoField *field)
SbBool isConnectedFromField (void) const
SbBool getConnectedField (SoField *&master) const
int getNumConnections (void) const
int getForwardConnections (SoFieldList &slavelist) const
int getConnections (SoFieldList &masterlist) const
void disconnect (void)
SbBool isConnected (void) const
void setContainer (SoFieldContainer *cont)
SoFieldContainer * getContainer (void) const
SbBool set (const char *valuestring)
void get (SbString &valuestring)
SbBool shouldWrite (void) const
virtual void touch (void)
virtual void startNotify (void)
virtual void notify (SoNotList *nlist)
SbBool enableNotify (SbBool on)
SbBool isNotifyEnabled (void) const
void addAuditor (void *f, SoNotRec::Type type)
void removeAuditor (void *f, SoNotRec::Type type)
int operator== (const SoField &f) const
int operator!= (const SoField &f) const
virtual void connectionStatusChanged (int numconnections)
SbBool isReadOnly (void) const
virtual void fixCopy (SbBool copyconnections)
virtual SbBool referencesCopy (void) const
void copyConnection (const SoField *fromfield)
virtual SbBool read (SoInput *input, const SbName &name)
virtual void write (SoOutput *out, const SbName &name) const
virtual void countWriteRefs (SoOutput *out) const
void setFieldType (int type)
int getFieldType (void) const
SbBool getDirty (void) const
void setDirty (SbBool dirty)
void evaluate (void) const

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)
Static Public Member Functions inherited from SoMField
static SoType getClassTypeId (void)
static void atexit_cleanup (void)
static void initClass (void)
Static Public Member Functions inherited from SoField
static void initClass (void)
static void initClasses (void)
static void cleanupClass (void)
static SoType getClassTypeId (void)

  Protected Member Functions
virtual void deleteAllValues (void)
virtual void copyValue (int to, int from)
virtual int fieldSizeof (void) const
virtual void * valuesPtr (void)
virtual void setValuesPtr (void *ptr)
virtual void allocValues (int num)
Protected Member Functions inherited from SoMField
SoMField (void)
virtual void makeRoom (int newnum)
virtual SoNotRec createNotRec (SoBase *container)
void setChangedIndex (const int chgidx)
void setChangedIndices (const int chgidx=-1, const int numchgind=0)
Protected Member Functions inherited from SoField
SoField (void)
void valueChanged (SbBool resetdefault=TRUE)
virtual void evaluateConnection (void) const
virtual SbBool readConnection (SoInput *in)
virtual void writeConnection (SoOutput *out) const
SbBool isDestructing (void) const

  Protected Attributes
SbVec4ub * values
Protected Attributes inherited from SoMField
int num
int maxNum
SbBool userDataIsUsed

  Additional Inherited Members
Public Types inherited from SoField
enum FieldType { NORMAL_FIELD = 0, EVENTIN_FIELD, EVENTOUT_FIELD, EXPOSED_FIELD }

Detailed Description

The SoMFVec4ub class is a container for SbVec4ub vectors. This field is used where nodes, engines or other field containers need to store an array of vectors with four elements.

This field supports application data sharing through a setValuesPointer() method. See SoMField documentation for information on how to use this function.

See also
    SbVec4ub, SoSFVec4ub Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
    Coin 2.5

Member Function Documentation

  void * SoMFVec4ub::createInstance (void ) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoMFVec4ub::getClassTypeId (void ) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoMFVec4ub::getTypeId (void ) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and "downward" casting.

Implements SoField.

  void SoMFVec4ub::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoMFVec4ub::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoMFVec4ub::deleteAllValues (void ) [protected], [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Implements SoMField.

  void SoMFVec4ub::copyValue (int to, int from) [protected], [virtual]
This method is used for moving values around internally within a multivalue field. It needs to be overridden in each field so it automatically takes care of running copy constructors where necessary.

Implements SoMField.

  const SbVec4ub * SoMFVec4ub::getValues (const int start) const [inline]
Returns a pointer to the values array.

  void SoMFVec4ub::initClass (void ) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

  void SoMFVec4ub::setValues (int start, int numarg, const uint8_t xyzw[][4])
Set num vector array elements from xyzw, starting at index start.

  void SoMFVec4ub::set1Value (int idx, uint8_t x, uint8_t y, uint8_t z, uint8_t w)
Set the vector at idx.

  void SoMFVec4ub::set1Value (int idx, const uint8_t xyzw[4])
Set the vector at idx.

  void SoMFVec4ub::setValue (uint8_t x, uint8_t y, uint8_t z, uint8_t w)
Set this field to contain a single vector with the given element values.

  void SoMFVec4ub::setValue (const uint8_t xyzw[4])
Set this field to contain a single vector with the given element values.

Author

Generated automatically by Doxygen for Coin from the source code.